#
# spec file for package libfli
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rlibname libfli1

Name:           libfli
BuildRequires:  cmake
BuildRequires:  gcc-c++
Url:            http://www.flicamera.com
Summary:        Library for FLI CCD Camera & Filter Wheels
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
Version:        1.7
Release:        bp155.2.11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{rlibname}_%{version}.tar.gz

%description
Finger Lakes Instrument library is used by applications to control FLI line of CCDs and Filter wheels

%package -n %{rlibname}

Summary:        Library for FLI CCD Camera & Filter Wheels
Group:          Development/Libraries/C and C++

%description -n %{rlibname}
Development headers and files for Finger Lakes Instruments library. 

Authors:
--------
    Finger Lakes Instruments <support@flicamera.com>

%package devel
Summary:        Development headers for Finger Lakes Instruments Library
Group:          Development/Libraries/C and C++
Requires:       libfli1 = %{version}

%description devel
Development headers and files for Finger Lakes Instruments library. 

Authors:
--------
    Finger Lakes Instruments <support@flicamera.com>

%prep
%setup -q -n %{rlibname}-%{version}

%build
# Determine build arch for CMake
%define ARCH_POSTFIX ""
%if "%{_lib}" == "lib64"
%define ARCH_POSTFIX 64
%endif
  cmake . -DCMAKE_INSTALL_PREFIX=/usr -DLIB_POSTFIX=%{ARCH_POSTFIX} \
          -DCMAKE_C_FLAGS='%{optflags}' \
	  -DCMAKE_VERBOSE_MAKEFILE=TRUE \
          -DCMAKE_BUILD_TYPE=Release
  make %{?jobs:-j %jobs}

%install
  make DESTDIR=$RPM_BUILD_ROOT install  

%post -n %{rlibname} -p /sbin/ldconfig

%postun -n %{rlibname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf filelists

%files -n %{rlibname} 
%defattr(-,root,root)
%{_libdir}/libfli.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libfli.so
%{_includedir}/libfli.h

%changelog
* Mon Oct  8 2012 schwab@linux-m68k.org
- Build with %%{optflags}
* Thu Apr 12 2012 dmueller@suse.com
- add group back for older distros
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Tue Nov 29 2011 ro@suse.de
- use _lib macro to properly determine lib suffix
* Wed Mar 31 2010 llunak@novell.com
- Initial version
